
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【bzoj4013】 HNOI2015—实验比较 / 憋错料</title>

    <meta name="description" content="【bzoj4013】 HNOI2015—实验比较 http://www.lydsy.com/JudgeOnline/problem.php?id=4013 (题目链接) 题意 给出$n$个数的$m$个大小关系,问它们之间可以形成的单调不降的序列有多少种. Solution 首先,因为等于号相连的两个数位置互换不会产生新的方案,我们先用并查集把用等号相连的点全部缩成一个.如果此时的图中出现了环,那么答案为$0$.考虑答案不为$0$的情况怎么处理.此时的图已经成为了一个DAG,我们需要在上面统计方案.容易发现,对于一个点,有分有合,合的情况很好处理">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">【bzoj4013】 HNOI2015—实验比较</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><a href="http://www.lydsy.com/JudgeOnline/problem.php?id=4013" rel="external nofollow noreferrer">http://www.lydsy.com/JudgeOnline/problem.php?id=4013</a>&nbsp;(题目链接)</p>
<h3>题意</h3>
<p>　　给出$n$个数的$m$个大小关系，问它们之间可以形成的单调不降的序列有多少种。</p>
<h3>Solution</h3>
<p>　　首先，因为等于号相连的两个数位置互换不会产生新的方案，我们先用并查集把用等号相连的点全部缩成一个。如果此时的图中出现了环，那么答案为$0$。考虑答案不为$0$的情况怎么处理。此时的图已经成为了一个DAG，我们需要在上面统计方案。容易发现，对于一个点，有分有合，合的情况很好处理，分的情况就很尴尬了，什么？你说每一个点只有一条入边？（哔了狗了）。因为并查集缩点后整个图已经变成了一棵树，我们考虑如何进行树形dp。</p>
<p>　　$f[x][i]$表示在$x$的子树中，组成的序列用$&lt;$相连的等价类个数为$i$个的序列方案，其中等价类就表示由等号相连的一坨数。不妨设$y$是$x$的某个儿子，那么转移：</p>
<p>\begin{aligned} &nbsp;g[i+l]=f[x][i]*f[y][j]*\binom{i-1+l}{j-1}*\binom{j-1}{k-l} &nbsp; \end{aligned}</p>
<p>　　其中$i\in[1,size[x]]$，$j\in[1,size[y]]$，$l\in[max(0,k-j+1),k]$。$g$是一个临时的存储答案的数组。$l$是我们枚举的$y$所贡献的等价类，那么剩下的$k-l$就是$y$中与原本$x$中相等的数的个数。$x$永远排在序列首位而且不会与任意一个数相等。$\binom{i-1+l}{j-1}$表示两个无相对关系的已经排序好的序列合并为一个序列的方案。$\binom{j-1}{k-l}$表示在$x$的$j-1$个数中选出与$y$的$k-l$个数相等的数的方案。</p>
<h3>细节</h3>
<p>　　可能是个森林，所以用一个超级源点连向若干根节点。</p>
<h3>代码</h3>

<pre>// bzoj4013
#include&lt;algorithm&gt;
#include&lt;iostream&gt;
#include&lt;cstdlib&gt;
#include&lt;cstring&gt;
#include&lt;cstdio&gt;
#include&lt;cmath&gt;
#include&lt;queue&gt;
#define LL long long
#define inf (1ll&lt;&lt;30)
#define MOD 1000000007
#define Pi acos(-1.0)
#define free(a) freopen(a".in","r",stdin),freopen(a".out","w",stdout);
using namespace std;

const int maxn=200;
LL C[maxn][maxn],f[maxn][maxn],g[maxn];
int head[maxn],size[maxn],vis[maxn],fa[maxn],r[maxn],n,m,c,cnt,sum;
struct data {int u,v;}a[maxn];
struct edge {int to,next;}e[maxn];

int find(int x) {
	return x==fa[x] ? x : fa[x]=find(fa[x]);
}
void link(int u,int v) {
	e[++cnt]=(edge){v,head[u]};head[u]=cnt;
}
bool bfs() {
	queue&lt;int&gt; q;q.push(0);
	int tot=0;
	while (!q.empty()) {
		int x=q.front();q.pop();tot++;
		for (int i=head[x];i;i=e[i].next)
			if (!--r[e[i].to]) q.push(e[i].to);
	}
	return tot==sum+1;
}
void dfs(int x) {
	vis[x]=f[x][1]=size[x]=1;
	for (int i=head[x];i;i=e[i].next) if (!vis[e[i].to]) {
			int y=e[i].to;dfs(y);
			for (int j=1;j&lt;=size[x];j++) {
				if (!f[x][j]) continue;
				for (int k=1;k&lt;=size[y];k++) {
					if (!f[y][k]) continue;
					for (int l=max(0,k-j+1);l&lt;=k;l++)
						(g[j+l]+=f[x][j]*f[y][k]%MOD*C[j+l-1][j-1]%MOD*C[j-1][k-l]%MOD)%=MOD;
				}
			}
			size[x]+=size[e[i].to];
			for (int i=1;i&lt;=size[x];i++) f[x][i]=g[i],g[i]=0;
		}
}
int main() {
	scanf("%d%d",&amp;n,&amp;m);
	for (int i=1;i&lt;=n;i++) fa[i]=i;
	for (int i=0;i&lt;=n;i++) C[i][0]=1;
	for (int i=1;i&lt;=n;i++)
		for (int j=1;j&lt;=i;j++) C[i][j]=(C[i-1][j-1]+C[i-1][j])%MOD;
	for (int u,v,i=1;i&lt;=m;i++) {
		char ch[2];scanf("%d%s%d",&amp;u,ch,&amp;v);
		if (ch[0]==‘=‘) if (find(u)!=find(v)) fa[find(u)]=find(v);
		if (ch[0]==‘&lt;‘) a[++c]=(data){u,v};
	}
	for (int i=1;i&lt;=c;i++) {
		int u=find(a[i].u),v=find(a[i].v);
		link(u,v);r[v]++;
	}
	for (int i=1;i&lt;=n;i++) if (fa[i]==i) {
			sum++;
			if (!r[i]) link(0,i),r[i]++;
		}
	if (!bfs()) {puts("0");return 0;}
	dfs(0);
	int ans=0;
	for (int i=1;i&lt;=n+1;i++) (ans+=f[0][i])%=MOD;
	printf("%d",ans);
	return 0;
}
</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 13:17:00 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/text/" title="text">text</a>, <a href="https://www.biecuoliao.com/tag/mat/" title="mat">mat</a>, <a href="https://www.biecuoliao.com/tag/php/" title="php">php</a>, <a href="https://www.biecuoliao.com/tag/out/" title="out">out</a>, <a href="https://www.biecuoliao.com/tag/pen/" title="pen">pen</a>, <a href="https://www.biecuoliao.com/tag/stream/" title="stream">stream</a>, <a href="https://www.biecuoliao.com/tag/%e5%a4%9a%e5%b0%91/" title="多少">多少</a>, <a href="https://www.biecuoliao.com/tag/%e7%ad%89%e4%bb%b7/" title="等价">等价</a>, <a href="https://www.biecuoliao.com/tag/%e9%a2%98%e6%84%8f/" title="题意">题意</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>【bzoj4013】 HNOI2015—实验比较的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWyY1G3.html" rel="bookmark">bzoj4013&lbrack;HNOI2015&rsqb;实验比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.lydsy.com/JudgeOnline/problem.php?id=4013 这题真是极好的. 首先,用并查集合并相等的点,并用并查集的根作为代表的点. 然后dfs一次,看一下有没有环,如有环,那么无解,直接输出0. 我们发现图其实是一个由一些有根树组成的森林.为了方便计算,我们新建一个虚拟根,然后所有有根树的根都指向这个根,那么现在原图就变成一棵树了. 用树形DP. 记$f[i][j]$表示以$i$为根的子树,构成长度为$j$的序列的方案数. 那么怎么合并子树呢?			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVYBww4.html" rel="bookmark">bzoj 4013&colon; &lbrack;HNOI2015&rsqb;实验比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Description 小D 被邀请到实验室,做一个跟图片质量评价相关的主观实验.实验用到的图片集一共有 N 张图片,编号为 1 到 N.实验分若干轮进行,在每轮实验中,小 D会被要求观看某两张随机选取的图片, 然后小D 需要根据他自己主观上的判断确定这两张图片谁好谁坏,或者这两张图片质量差不多. 用符号&quot;&lt;&quot;.&quot;&gt;&quot;和&quot;=&quot;表示图片 x和y(x.y为图片编号)之间的比较:如果上下文中 x 和 y 是图片编号,则 x&lt;y 表示图			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmjpVK0.html" rel="bookmark">&lbrack;HNOI2015&rsqb;实验比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Description 小D 被邀请到实验室,做一个跟图片质量评价相关的主观实验.实验用到的图片集一共有 N 张图片,编号为 1 到 N.实验分若干轮进行,在每轮实验中,小 D会被要求观看某两张随机选取的图片, 然后小D 需要根据他自己主观上的判断确定这两张图片谁好谁坏,或者这两张图片质量差不多. 用符号“&lt;”.“&gt;”和“=”表示图片 x和y(x.y为图片编号)之间的比较:如果上下文中 x 和 y 是图片编号,则 x&lt;y 表示图片 x“质量优于”y,x&gt;y 表示图片 x“质量差于”			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEle1P4.html" rel="bookmark">BZOJ 4013 HNOI2015 实验比较 树形DP&plus;组合数学</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目大意:给定一张图,每条边有'='和'&lt;'两个属性,每个点入度最多为1,求这张图可以压成多少个用'='和'&lt;'连接的序列 我只贴代码~~ 题解自己搜~~ #include &lt;cstdio&gt; #include &lt;cstring&gt; #include &lt;iostream&gt; #include &lt;algorithm&gt; #define M 110 #define MOD 1000000007 using namespace std; struct abcd			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/VMGkJYM.html" rel="bookmark">BZOJ 4013 【HNOI2015】 实验比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:实验比较 如果我们把相等关系全部缩起来的话,这道题给出的小于关系如果有环,那么就是不合法的,否则就构成了一片森林. 定义等于号连起来的所有变量看做一个块. 然后我们就可以令\(f_{i,j}\)表示以\(i\)为根的子树中分成了\(j\)个块的方案数.如果我们在给森林添加一个虚根,把它变成一棵树的话,最终的答案就很好算了. 然后我们考虑一下如何转移.设\(v\)是\(u\)的子节点,那么\(f_{u,i}\)和\(f_{v,j}\)可以转移到\(f_{u,k}(\max(i,j)\le			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/v0kXp3d.html" rel="bookmark">如何使用GNS3和Cisco IOU搭建路由交换实验-IOU篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面介绍了GNS3的概念,安装,配置和使用,本篇将介绍怎么利用GNS3配置IOU从而实现使用GNS3和Cisco IOU搭建路由交换实验. 由于本篇篇幅较长,所以先过一下大纲: 1. IOU模拟环境介绍 2. IOU软件环境的准备 3. VMware虚拟机的安装.导入和配置 4. IOU镜像的上传 5. GNS3的配置 6. IOU模拟环境的实现 IOU模拟环境介绍 IOU即IOS running in Unix,最初是由思科内部人员开发来测试IOS的平台,后来流传到互联网经网友改进有了后来的W			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/9MERP07.html" rel="bookmark">广外第二周的实验报告来这里分享一下</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				虽然有很多还不知道怎么改,可能也有很多测试不到的地方,但是通过这个星期我好歹了解了好多东西啊 实验报告 通过本次学习,能了解到VC6.0.是用于将已生成的C++语言源程序代码转换为计算机能读懂的目标代码,计算机用的均是二进制代码.编辑完成后它首先生成扩展名为obj的文件(程序编译后的二进制文件),若想进行之后的链接.运行过程,必须不断修改源程序文件至完全正确. 在文件→新建→源代码这里可以新建源代码:新建→打开项目或文件中可以打开以前写过的源代码或者程序:运行→编译中即把所打源文件转换为二进制代			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/7MVmp4V.html" rel="bookmark">webservice实验一</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实验目的:安装jdk1.6_21以后的版本,利用JAX-WS API自己发布webservice并调用,以及用wsimport生成webservice客户端代码调用一个免费的web服务(如webxml.com.cn上的获取手机归属地的服务). 一.webservice原理了解 webservice是一种通用的跨语言跨平台的数据交互方式,之所以能够做到这一点,是因为它的底层实现机制是依赖于HTTP协议以及XML格式这些开发的标准.webservice使用SOAP(simple object acc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/D3OkG3O.html" rel="bookmark">Cisco ISE &plus;  Windows Server 2008 实验</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实验说明:此实验参考生产环境中某部分环境搭建而成,此环境Windows Server 2008用于登录用户.MAC等账号的认证,Cisco ISE用于认证授权等,无线部分利用VMWLC + Cisco 1702AP测试测试.因为为实验环境,整体网络架构所有节点为单点:Cisco ISE部分功能没有应用上,如测试PC端的补丁.防毒补丁.设备认证等(此部分在生产环境上实施),下图为此实验的网络架构图. Windows AD:  172.16.1.199 Cisco VMISE: 172.16.1.1			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/r0aApQ0.html" rel="bookmark" class="title">001&period;我的第一个Java程序</a>
					<div>
						第一步安装JDK 第二步设置PATH路径 设置Windows的PATH 路径 方法一:直接设置添加PATH C:\Program Files\Java\jdk1.8.0_92\bin 方法二: 先增加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/AMD71K4.html" rel="bookmark" class="title">R语言时间序列中的时间设置</a>
					<div>
						时间序列的不同时间分段设置 1. 普通的时间序列:年.月.季 1 myserises&lt;-ts(data,start=,end=,frequency=)#其中frequency=1代表年:freq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q3q61a4.html" rel="bookmark" class="title">了解Web Uploader</a>
					<div>
						1.简介WebUploader是由Baidu WebFE(FEX)团队开发的一个简单的以HTML5为主,FLASH为辅的现代文件上传组件.在现代的浏览器里面能充分发挥HTML5的优势,同时又不摒弃主流 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q3qWApM.html" rel="bookmark" class="title">CSS3-新属性-属性选择器</a>
					<div>
						CSS3之前,对于每个HTML标签来说,属性均是固定的.但是CSS3扩展了属性选择器的用法,用户可自定义标签的属性.下面介绍CSS3中属性选择器的使用方式,这些属性仅支持IE7及以上版本. 标签的自定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Yge8N4.html" rel="bookmark" class="title">poj 4084&colon;拓扑排序</a>
					<div>
						poj 4084:拓扑排序 很好的题目,恶心的算法 描述 给出一个图的结构,输出其拓扑排序序列,要求在同等条件下,编号小的顶点在前. 输入 若干行整数,第一行有2个数,分别为顶点数v和弧数a,接下来有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Ygdbr4.html" rel="bookmark" class="title">window 7 64位下可运行的递归删除注册表程序</a>
					<div>
						为了完成一个简单的注册表删除程序,由于我本身是win7 64位的OS,写了以下代码来递归删除注册表键值,程序代码如下: #include &lt;tchar.h&gt; #include &lt;af ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wvDq10.html" rel="bookmark" class="title">Nginx&plus;tomcat实现https访问（tomcat不配ssl证书）</a>
					<div>
						用户端与Nginx通讯使用https,Nginx与tomcat通讯可以只使用http,简化证书配置. Nginx端配置nginx.conf user nginx; worker_processes   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kXrvj3.html" rel="bookmark" class="title">从&period;NET Core拆分&period;NET标准</a>
					<div>
						近年来,IT技术圈出现一个怪象,那就是一窝蜂,又或者可能是另一种效应,粉丝经济.你看微信应用号一出来了,上啊,媒体说得好像要改变世界似的.然而,呵呵,等着看除了那几个得了或者破解出了试用机会的,发个几 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K2QnwM.html" rel="bookmark" class="title">数据库查询前10条数据</a>
					<div>
						Oracle中查询 select * from table where rownum&lt;=10; DB2中查询 select * from table fetch first 10 rows on ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rvO7X3.html" rel="bookmark" class="title">CDN（内容分发网络）技术原理</a>
					<div>
						原文转自:http://kb.cnblogs.com/page/121664/ 1. 前言 Internet的高速发展,给人们的工作和生活带来了极大的便利,对Internet的服务品质和访问速度要求越 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWYW6m3.html" rel="bookmark" class="title">关于PADS的一些概念和实用技巧（一）</a>
					<div>
						关于PADS的一些概念和实用技巧(一) 声明:引用请注明出处http://blog.csdn.net/lg1259156776/ 1. 关于part,CAE Decal,PCB Decal Part  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5PPa0.html" rel="bookmark" class="title">选出特定编号的猴子</a>
					<div>
						import javax.swing.*; public class MonkeyKing{ public static void main(String[] args){ String s; int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/352q1K4.html" rel="bookmark" class="title">升级Python版本后 yum命令不可用</a>
					<div>
						新版本python安装目录 /usr/local/python3 # ./configure --prefix=/usr/local/python3 # make &amp;&amp; make in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y7B6O4.html" rel="bookmark" class="title">leetcode-【hard】273&period; Integer to English Words</a>
					<div>
						题目: 273. Integer to English Words Convert a non-negative integer to its english words representation ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R7zeY3.html" rel="bookmark" class="title">WCF大数据量传输解决方案</a>
					<div>
						文章内容列表:1． 场景:2． 解决方案3. WCF契约与服务实现设计静态图4. WCF契约与服务实现设计详细说明6. 服务端启动服务代码:7. 客户端代码8.   WCF大数据量传输解决方案源码下载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41GKxP0.html" rel="bookmark" class="title">ASP&period;NET获取汉字首字母</a>
					<div>
						/// &lt;summary&gt; /// 获取汉字首字母(可包含多个汉字) /// &lt;/summary&gt; /// &lt;param name=&quot;strText&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e67JD3.html" rel="bookmark" class="title">Crouton-master自定义提示栏</a>
					<div>
						Crouton-master自定义提示栏 实现自定义的弹出通知视图(Notification).对于不同类型的通知,会有不同的颜色,比如info是蓝色,alert是红色,confirm是绿色等等,可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xAgJQ3.html" rel="bookmark" class="title">2014年软考-信息技术处理员-模拟试题及答案【第六章】</a>
					<div>
						51CTO学院,在软考备考季特别整理了&quot;2014年软考信息技术处理员模拟试题及答案[汇总篇]&quot;,帮助各位学院顺利过关!更多软件水平考试辅导及试题,请关注51CTO学院-软考分类吧! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NX59G0.html" rel="bookmark" class="title">ps常用快捷键（供自己学习查看）</a>
					<div>
						[shift]+ m   矩形.椭圆选框工具 [shift]+ v  移动工具 [shift]+w  魔棒工具 [shift]+c  裁切工具 [shift]+s   像皮图章.图案图章 [shift ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jablDM.html" rel="bookmark" class="title">开源：秋式广告杀手源码</a>
					<div>
						前言: 在一个精神上容易空虚寂寞冷的岁月里,我静静地看了两个月的书,还报了健身房,请了私教,做为一名有思想的少年人,一个健康的生活态度还是要有的,至于工作,偶尔有猎头约就去面聊体验各种奇葩(待满3个月 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
